Package org.h2gis.functions.spatial.edit

# Class ST_AddZ

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.edit.ST_AddZ

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_AddZ extends org.h2gis.api.DeterministicScalarFunction
This function add a z value to the z component of (each vertex of) the geometric parameter to the corresponding value given by a field.

Author:
  Erwan Bocher

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ST_AddZ.AddZCoordinateSequenceFilter`
Add a z value to each vertex of the Geometry.

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_AddZ()`

## Method Summary

Modifier and Type
Method
Description
`static org.locationtech.jts.geom.Geometry`
`addZ(org.locationtech.jts.geom.Geometry geometry, double z)`
Add a z with to the existing value (do the sum).
`String`
`getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_AddZ

public ST_AddZ()

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### addZ

public static org.locationtech.jts.geom.Geometry addZ(org.locationtech.jts.geom.Geometry geometry, double z) throws SQLException
Add a z with to the existing value (do the sum). NaN values are not updated.

Parameters:
  `geometry` -
  `z` -
Returns:
Throws:
  `SQLException`